#!/bin/sh

. /root/gstreamer_examples/func.sh

init_dev
[ $? -ne 0 ] && exit 1

guess_param

echo " pixel depth"
echo " ================="
echo " 1 = 8-Bit"
echo " 2 = 10-Bit"
#echo " 3 = 12-Bit" # not supported at i.MX6
read PIX_DEPTH
echo " Your select = $PIX_DEPTH"
case $PIX_DEPTH in
  "1") CAM_BW_FMT="Y8"; BW_FMT="Y8";;
  "2") CAM_BW_FMT="Y10"; BW_FMT="Y10";;
#  "3") CAM_BW_FMT="Y12"; BW_FMT="Y12";; # not supported at i.MX8
  *) CAM_BW_FMT="Y8";;
esac

echo ""
echo " configure camera with v4l2_control"
echo " =================================="

v4l2-ctl -d $VID_DEVICE --set-fmt-video=pixelformat=$CAM_BW_FMT,$SENSOR_RES
v4l2-ctl -d $VID_DEVICE --set-selection=target=crop,$OFFSET_SENSOR,$SENSOR_RES

# Additional Settings
X_RES=${SENSOR_RES%%,*}
X_RES=${X_RES##*=}
Y_RES=${SENSOR_RES##*=}
#REG_SET_FILE=/usr/share/phytec-gstreamer-examples/${REG_SET_FILE##*/}


echo "starting save_raw_image with format $COL_FMT"
echo "read $X_RES x $Y_RES and write to RAW-file"
echo "============================================="

yavta "$VID_DEVICE" -c8 --skip 7 -f "$BW_FMT" -s "${X_RES}x${Y_RES}" -F$CAMERA"_PixDepth_"$CAM_BW_FMT".raw"

#save_raw_image -D $VID_DEVICE -no_subdev -f $CAM_BW_FMT -res_x $X_RES -res_y $Y_RES -d $NUMBER_OF_PIC -n $CAMERA"_PixDepth_"$CAM_BW_FMT"_"

#save_raw_image -D $IPU1_CSI0_DEVICE -sd_cam $CAM_DEVICE -sd_ipu $IPU1_CSI0_SUBDEV -f $CAM_BW_FMT \
#	-res_x $X_RES -res_y $Y_RES -crop_x $X_RES -crop_y $Y_RES -crop_left $CROP_LEFT -crop_top $CROP_TOP \
#	-d $NUMBER_OF_PIC -r $REG_SET_FILE -n $CAMERA"_PixDepth_"$CAM_COL_FMT"_"